<?php
header('Access-Control-Allow-Origin: *');
$mysqli = new mysqli('localhost', 'mess2_messDoctos', 'Pipmytrade123', 'mess2_documentos_mess');
$mysqli->set_charset("utf8");

require('../fpdf.php');
$pdf = new FPDF('P','mm',array(216,279.4));
//$pdf = new FPDF('P','mm','a4');

$pdf->SetMargins(0, 0, 0, 0);
$pdf->SetAutoPageBreak(true,0); 
$pdf->AddPage();

//$pdf->Image('../LIMPIO.jpg', 10, 10,196);
$pdf->Image('../mess marca de agua_preview_rev_1.png', 26, 101,162.5);

$pdf->SetDrawColor(63,110,194); $pdf->SetLineWidth(.4);
$pdf->RoundedRect(10, 26.8, 196, 11.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 42.7, 196, 17, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 63.5, 196, 26.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 93.5, 145.8, 31, 1.5, '1234', 'D');
$pdf->RoundedRect(157, 96, 49.2, 28.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 128.5, 196, 61.5, 1.5, '1234', 'D');
$pdf->SetLineWidth(.4);     $pdf->Line(10.1,136,205.8,136);
$pdf->RoundedRect(10, 193.5, 160, 13.5, 1, '1234', 'D');
$pdf->RoundedRect(173, 196.8, 32, 10.2, 1, '1234', 'D');
$pdf->Image('../MESS_05_Imagotipo_1.jpg', 8, 5,48);

$certVersion=substr($_POST["p1"],16,2);
if($certVersion=='_A' || $certVersion=='_B' || $certVersion=='_C' || $certVersion=='_D'){
    if($certVersion=='_A'){
        $pdf->SetFont('tahoma','',5);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este informe reemplaza al informe de medición No. '.str_replace('_A','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',4);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This report replaces the report No. '.str_replace('_A','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_B'){
        $pdf->SetFont('tahoma','',5);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este informe reemplaza al informe de medición No. '.str_replace('_B','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',4);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This report replaces the report No. '.str_replace('_B','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_C'){
        $pdf->SetFont('tahoma','',5);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este informe reemplaza al informe de medición No. '.str_replace('_C','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',4);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This report replaces the report No. '.str_replace('_C','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_D'){
        $pdf->SetFont('tahoma','',5);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este informe reemplaza al informe de medición No. '.str_replace('_D','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',4);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This report replaces the report No. '.str_replace('_D','',$_POST["p1"]).')'),0,'R',0);
    }
}

$pdf->SetFont('tahoma','B',12);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(64, 14);   $pdf->Cell(70,7, utf8_decode('INFORME DE MEDICIÓN'),0,0,'R',0);
$pdf->SetFont('tahoma','I',11);  $pdf->SetTextColor(0,0,0);
$pdf->SetXY(60, 19);   $pdf->Cell(70,6, utf8_decode('(MEASUREMENT REPORT)'),0,0,'R',0);

$res = $mysqli->query("SELECT * FROM T_ATRIFORMATOS where cd_formato=3 AND nu_hojaformato=1");
    $i=0;
    while($f = $res->fetch_object()){
      /*
    `cd_formato`, `nu_hojaformato`, `id_atributo`, `sw_manual`, `sw_validacion`, `tp_dato`, `sw_obligatorio`, `cd_listavalores`, 
    `coordx_etiqesp`, `coordy_etiqesp`, `coordx_etiqing`, `coordy_etiqing`, `coordx_valor`, `coordy_valor`, 
    `cd_fuente_etiq`, `nu_tamano_etiq`, `cd_color_etiq`, `cd_fuente_valor`, `nu_tamano_valor`, `cd_color_valor`, `ds_etiqueta`, `ds_etiqueta_ing`, `ds_valordefault`, `margenx`, `margeny`          
    */  $id_atributo = $f->id_atributo;
        $cd_fuente_etiq = $f->cd_fuente_etiq;
        $nu_tamano_etiq = $f->nu_tamano_etiq;
        $cd_color_etiq = $f->cd_color_etiq;
        
        $cd_fuente_valor = $f->cd_fuente_valor;
        $nu_tamano_valor = $f->nu_tamano_valor;
        $cd_color_valor = $f->cd_color_valor;
        
        $margenx = $f->margenx; $margeny = $f->margeny;
        
        $coordx_etiqesp = $f->coordx_etiqesp; $cxe=$coordx_etiqesp+$margenx;
        $coordy_etiqesp = $f->coordy_etiqesp; $cye=$coordy_etiqesp+$margeny;

        $coordx_etiqing = $f->coordx_etiqing; $cxi=$coordx_etiqing+$margenx;
        $coordy_etiqing = $f->coordy_etiqing; $cyi=$coordy_etiqing+$margeny;
        
        $coordx_valor = $f->coordx_valor; $cxv=$coordx_valor+$margenx;
        $coordy_valor = $f->coordy_valor; $cyv=$coordy_valor+$margeny;
        
        $ds_etiqueta = $f->ds_etiqueta; 
        $ds_etiqueta_ing = $f->ds_etiqueta_ing;
        $ds_valordefault = $f->ds_valordefault;
        
        $cd_color_e = explode(" ", $cd_color_etiq);
        //Espa単ol
        $pdf->SetFont('tahoma','B',$nu_tamano_etiq);  $pdf->SetTextColor($cd_color_e[0],$cd_color_e[1],$cd_color_e[2]);
        $pdf->SetXY($cxe, $cye);   $pdf->Cell(60,1, utf8_decode($ds_etiqueta),0,0,'L');
        //Ingles
        $pdf->SetFont('tahoma','I',$nu_tamano_etiq);  $pdf->SetTextColor($cd_color_e[0],$cd_color_e[1],$cd_color_e[2]);
        $pdf->SetXY($cxi, $cyi);   $pdf->Cell(60,1, utf8_decode($ds_etiqueta_ing),0,0,'L');
        
        $i++;
        ${"foto" . $i}=$i+1;
        //Valor
        if($ds_valordefault==''){
            $cd_color_v = explode(" ", $cd_color_valor);
            
            if($id_atributo=="34" || $id_atributo=="40"|| $id_atributo=="46" || $id_atributo=="52" || $id_atributo=="58" || $id_atributo=="64"){
                $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                            $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(40,3, utf8_decode($_POST["p" . $id_atributo]),0,'L',0);//$ds_valordefault
            }else{
                if( $id_atributo=="38" || $id_atributo=="44"|| $id_atributo=="50" || $id_atributo=="56" || $id_atributo=="62" || $id_atributo=="68"  ){
                    $pdf->SetFont('tahoma','',6.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                    $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(48.5,2.5, utf8_decode($_POST["p" . $id_atributo]),0,'L',0,1);
                }else{
                    if($id_atributo=="6" && $_POST["p" . $id_atributo]==""){
                        $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(100,3, utf8_decode("--------"),0,'L',0);//$_POST["p" . $i]
                    }
                    else{
                        if( $id_atributo=="30" || $id_atributo=="31"|| $id_atributo=="32"){
                            if($id_atributo=="32"){
                                $pdf->SetFont('tahoma','',6.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(48.5,2, utf8_decode($_POST["p" . $id_atributo].'%'),0,'L',0,1);
                            }else{
                                $pdf->SetFont('tahoma','',6.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(48.5,2, utf8_decode($_POST["p" . $id_atributo].'°C'),0,'L',0,1);
                            }
                        }else{
                            if( $id_atributo=="11"){
                                $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(60,3, utf8_decode($_POST["p" . $id_atributo] ),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                            }
                            else{
                                $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(100,3, utf8_decode($_POST["p" . $id_atributo] ),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                            }
                        }
                    }
                }
            }
        }else{
                if(($_POST["acre"] == "emaslp" || $_POST["acre"] == "a2laslp" ) && $id_atributo=="74"){
                    $pdf->SetFont('tahoma','',$nu_tamano_valor+.2);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                    $pdf->SetXY($cxv+1, $cyv-1.5);   $pdf->MultiCell(140,2.2, utf8_decode('Mess Servicios Metrológicos S. de R.L. de C.V. Av. Juárez, No. 7751, Nave C, Col. Micro Parque Industrial M57, C.P. 78395, San Luis Potosí, San Luis Potosí.'),0,'C',0);//$ds_valordefault    
                }else{
                        $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        if($_POST["acre"] == "a2la" && $id_atributo == "74"){
                            $pdf->SetXY($cxv+5, $cyv-1.5);   $pdf->MultiCell(132,2.2, utf8_decode('MESS S.C. Acceso III, No. 16A, Nave 10, Parque Industrial Benito Juárez, Querétaro, Qro.'),0,'C',0);//$ds_valordefault       
                        }
                        else{
                            $pdf->SetXY($cxv, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
                        }
                    
                }
            
        }

        
    }
    

    
if($_POST["p79"]!="0"){
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(98,70);   $pdf->Cell(25,2.5, utf8_encode($_POST["p79"]),0,'L',1,1);
}else{
    $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(98,70.2);   $pdf->Cell(43,19, '',0,'L',1,1);
}
$urlFirma="https://scot.mess.com.mx/uploads/SIGNATURE/";
if($_POST["firmarealizo"]!=""){
    $urlFRealizo=$urlFirma.$_POST["firmarealizo"];
    $pdf->Image($urlFRealizo,70,194,14);
    //$pdf->Image($_POST["firmarealizo"],70,194,10);
}
if($_POST["firmaaprobo"]!=""){
    $urlFAprobo=$urlFirma.$_POST["firmaaprobo"];
    $pdf->Image($urlFAprobo,134,194.5,14);
    //$pdf->Image($_POST["firmaaprobo"],134,194.5,14);
}
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(11.8,202);   $pdf->Cell(28,2.6, utf8_encode("Ingeniero de servicio"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(8,204);   $pdf->Cell(28,2.6, utf8_encode("(Service Engineer)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(76.5,202);   $pdf->Cell(28,2.6, utf8_encode("Signatario"),0,'L',0,0);

$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(77,204);   $pdf->Cell(28,2.6, utf8_encode("(Signatory)"),0,'L',0,0);
 
            

//DATOS DE REFERENCIA 
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(9,24);   $pdf->Cell(28,2, utf8_encode("Datos de referencia"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(35,24);   $pdf->Cell(28,2, utf8_encode("(Reference data):"),0,'L',0,0);
 
//CLIENTE
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(5,40);   $pdf->Cell(28,2, utf8_encode("Datos del cliente"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(28,40);   $pdf->Cell(28,2, utf8_encode("(Customer) data:"),0,'L',0,0);

//ITEM   
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(2,61);   $pdf->Cell(28,2, utf8_decode("Datos del ítem"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(31,61);   $pdf->Cell(28,2, utf8_encode("(Item description):"),0,'L',0,0);  

//METODO  
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(11,91);   $pdf->Cell(10,2, utf8_decode("Método"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(26,91);   $pdf->Cell(10,2, utf8_encode("(Method):"),0,'L',0,0);

//TRAZABILIDAD
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(32,125.4);   $pdf->Cell(10,2, utf8_decode("Trazabilidad metrológica"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(66,125.4);   $pdf->Cell(15,2, utf8_encode("(Metrological traceability):"),0,'L',0,0);

//DESCRIPCION PATRON
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(19,130);   $pdf->Cell(10,2, utf8_decode("Descripción"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(21,133);   $pdf->Cell(10,2, utf8_encode("(Description)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(50,130);   $pdf->Cell(10,2, utf8_decode("Serie"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(53,133);   $pdf->Cell(10,2, utf8_encode("(Serial)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(80,130);   $pdf->Cell(60,2, utf8_decode("Certificado/Vigencia/Calibrado por"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(81,133);   $pdf->Cell(60,2, utf8_encode("(Certificate/Validity/calibrated by)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(162,130);   $pdf->Cell(10,2, utf8_decode("Identificación"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(150,133);   $pdf->Cell(10,2, utf8_encode("(ID)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(188,130);   $pdf->Cell(10,2, utf8_decode("INM"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(189,133);   $pdf->Cell(10,2, utf8_encode("(NMI)"),0,'L',0,0);

//FIRMAS
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(14,191);   $pdf->Cell(6,2, utf8_decode("Firmas"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(33,191);   $pdf->Cell(6,2, utf8_encode("(Signatures):"),0,'L',0,0);
 
if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //DETALLE DEL CERTIFICADO
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 208);   
    $pdf->MultiCell(216,2.6, utf8_decode('El presente informe ha sido emitido por Mess Servicios Metrológicos S. de R.L. de C.V. laboratorio acreditado por a2La que es signataria del Arreglo de Reconocimiento Mutuo (MRA)
de la Cooperación Internacional de Acreditación de Laboratorios (ILAC) y de la Cooperación de Asia Pacífico para la Acreditación de Laboratorios, APLAC. El (los) resultado (s) de la
medición declarado (s) en este informe de medición puede (n) ser aceptado (s) internacionalmente a través del MRA ILAC/APLAC.'),0,'C',0,0);
    
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 216);   
    $pdf->MultiCell(216,2.2, utf8_decode('(This measurement report has been issued by Mess Servicios Metrologicos S. de R.L. de C.V. laboratory accredited by a2La that is a signatory of the Mutual Recognition 
Agreement (MRA) of the International Laboratory Accreditation Cooperation (ILAC) and of the Asia Pacific Cooperation for the accreditation of Laboratories (APLAC). 
The result (s) of the measurement declared in this measurement report can be accepted internationally through the MRA ILAC / APLAC)."'),0,'C',0,0);
}
if($_POST["acre"]=="ema"  || $_POST["acre"]=="emaslp"){
     //DETALLE DEL CERTIFICADO
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 208);   
    $pdf->MultiCell(216,2.6, utf8_decode('El presente informe ha sido emitido por Mess Servicios Metrológicos S. de R.L. de C.V. laboratorio acreditado por ema que es signataria del Arreglo de Reconocimiento Mutuo (MRA)
de la Cooperación Internacional de Acreditación de Laboratorios (ILAC) y de la cooperación de Asia Pacífico para la Acreditación de Laboratorios, APLAC. El (los) resultado (s) de la
medición declarado (s) en este informe de medición puede (n) ser aceptado (s) internacionalmente a través del MRA ILAC/APLAC.'),0,'C',0,0);
    
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 216);   
    $pdf->MultiCell(216,2.2, utf8_decode('(This measurement report has been issued by Mess Servicios Metrologicos S. de R.L. de C.V. laboratory accredited by ema that is a signatory of the Mutual Recognition 
Agreement (MRA) of the International Laboratory Accreditation Cooperation (ILAC) and of the Asia Pacific cooperation for the accreditation of Laboratories (APLAC). 
The result (s) of the measurement declared in this measurement report can be accepted internationally through the MRA ILAC / APLAC).'),0,'C',0,0);
}
if($_POST["acre"]=="trazable"){
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 212);  $pdf->MultiCell(216,3, utf8_decode('Los resultados de este informe tienen validez, dentro de las condiciones ambientales encontradas durante el proceso de calibración y únicamente en su forma íntegra y original. Está
    prohibida la reproducción parcial o total de este documento a personal no autorizado por Mess.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 218);  $pdf->MultiCell(216,3, utf8_decode('(The results of this report are valid, within the conditions found in the calibration process and in its complete and original form). 
    (The partial or total reproduction of this document is prohibited, without the approval of Mess).'),0,'C',0,0);

    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 226);   
    $pdf->MultiCell(216,3, utf8_decode('Los resultados y niveles de incertidumbres declaradas en este informe corresponden exclusivamente al instrumento descrito.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 230);   
    $pdf->MultiCell(216,3, utf8_decode('(The results and the level of uncertainties declared in this report correspond exclusively to the instrument described at the moment of calibration.)'),0,'C',0,0);
}
else{
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 225);  $pdf->MultiCell(216,2.5, utf8_decode('Los resultados de este informe tienen validez, dentro de las condiciones ambientales encontradas durante el proceso de calibración y únicamente en su forma íntegra y original. Está
    prohibida la reproducción parcial o total de este documento a personal no autorizado por Mess.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 230);  $pdf->MultiCell(216,2.2, utf8_decode('(The results of this report are valid, within the conditions found in the calibration process and in its complete and original form). 
    (The partial or total reproduction of this document is prohibited, without the approval of Mess).'),0,'C',0,0);

    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 236.5);   
    $pdf->MultiCell(216,2.5, utf8_decode('Los resultados y niveles de incertidumbres declaradas en este informe corresponden exclusivamente al instrumento descrito.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 239);   
    $pdf->MultiCell(216,2.5, utf8_decode('(The results and the level of uncertainties declared in this report correspond exclusively to the instrument described at the moment of calibration.)'),0,'C',0,0);
}

$nombreQR=str_replace("/","-",$_POST["p1"]);
$imgQR= "../../consulta/temp/".$nombreQR.".png";
$pdf->Image($imgQR,185,250,27);

$pdf->SetFont('tahoma','',7);  $pdf->SetTextColor(63,110,194); 
$pdf->SetDrawColor(0,0,0);  $pdf->Rect(162, 241, 45, 11, 0); 

$pdf->SetXY(175,243);   $pdf->Cell(100,3.5, utf8_decode("       INFORME DE MEDICIÓN"),0,'R',1,1);
$pdf->SetXY(186,246);   $pdf->Cell(30,3.5, utf8_encode("DIGITAL ORIGINAL"),0,'R',1,1);
$pdf->SetXY(169,249);   $pdf->Cell(40,3.5, utf8_decode("MESS SERVICIOS METROLÓGICOS"),0,'R',1,1);

$pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(30, 247);   
$pdf->MultiCell(150,3, utf8_decode('Para cualquier duda, comentario, sugerencia, felicitación o queja favor de llamar o comunicarse a:'),0,'C',0,0);

$pdf->SetDrawColor(63,110,194);     $pdf->SetLineWidth(.5);     $pdf->Line(10,253.2,182,253.2);
if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55.5, 257);   $pdf->MultiCell(150,3.5, utf8_decode('Laboratorio acreditado por a2La con número de acreditación 3047.01 vigente hasta 2025-03-31 en cumplimiento a la 
norma ISO/IEC 17025:(vigente) "Requisitos generales para la competencia de laboratorios de ensayo y de calibración.'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55, 264);   $pdf->MultiCell(150,3.5, utf8_decode('(Laboratory accredited by a2La with accreditation number 3047.01 in force until 2025-03-31 in compliance with 
ISO/IEC 17025:(valid). "General requirements for the competence of testing and calibration laboratories".)'),0,'L',0,0);
    
    $pdf->Image('A2LA.JPG', 10, 253.5,40);
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(29,269.5);   $pdf->Cell(25,2.5, utf8_encode("Certificate # 3047.01"),0,'L',0,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
    $pdf->MultiCell(174,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',1,0);
}

if($_POST["acre"]=="ema"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);
     //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.6, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97 a partir del 2010-08-18. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.2, utf8_decode('(Laboratory accredited by ema with accreditation number D-97 as of 2010-08-18. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  
    
    $pdf->SetFont('tahoma','B',11);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(43,271.3);   $pdf->Cell(65,3.5, utf8_encode("ACREDITACION D-97"),0,'C',1,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);   
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);    
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de calibración fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Calibration service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}

if($_POST["acre"]=="emaslp"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);

    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.5, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97-S1 a partir del 2021-09-29. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.1, utf8_decode('(Laboratory accredited by ema with accreditation number D-97-S1 as of 2021-09-29. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  

    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    //$pdf->SetXY(38,268);   $pdf->Cell(25,2.5, utf8_encode("ACREDITACION D-97"),0,'L',1,1);

    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);  
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de medición fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Measurement service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}


/* ***************      *************** */
/* ************ PAGINA DOS ************ */
/* ***************      *************** */       
$pdf->AddPage();

$pdf->Image('../MESS_05_Imagotipo_1.jpg', 8, 5,48);
$pdf->SetFont('tahoma','B',12);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(64, 14.5);   $pdf->Cell(70,6, utf8_decode('INFORME DE MEDICIÓN'),0,0,'R',1);
$pdf->SetFont('tahoma','I',11);  $pdf->SetTextColor(0,0,0);
$pdf->SetXY(60, 19);   $pdf->Cell(70,6, utf8_decode('(MEASUREMENT REPORT)'),0,0,'R',1);

$pdf->SetFont('tahoma','',12);  $pdf->SetTextColor(0, 69, 128);
$pdf->SetXY(158, 16);   $pdf->MultiCell(100,3, utf8_decode($_POST["p1"] ),0,'L',0);

$pdf->SetFont('tahoma','B',7);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(158,19);    $pdf->Cell(105,4, utf8_decode('No. Informe'),0,0);
$pdf->SetFont('tahoma','i',7);
$pdf->SetXY(175,19);    $pdf->Cell(105,4, utf8_decode('(Report No.):'),0,0);

$pdf->SetFont('tahoma','B',7);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(176.4,24.6);    $pdf->Cell(105,4, utf8_decode('Página 2 de'),0,0);
$pdf->SetFont('tahoma','i',7);
$pdf->SetXY(176.4,27);    $pdf->Cell(105,4, utf8_decode('(Page)'),0,0);
$pdf->SetFont('tahoma','',7);
$pdf->SetXY(191.5,24.6);    $pdf->Cell(105,4, utf8_decode($_POST["p2"]),0,0);


$res = $mysqli->query("SELECT * FROM T_ATRIFORMATOS WHERE id_atributo in (74,75,76,77,78) AND cd_formato=3");
    $i=0;
    while($f = $res->fetch_object()){
        $id_atributo = $f->id_atributo;          $cd_fuente_etiq = $f->cd_fuente_etiq;
        $nu_tamano_etiq = $f->nu_tamano_etiq;    $cd_color_etiq = $f->cd_color_etiq;
        
        $cd_fuente_valor = $f->cd_fuente_valor;        $nu_tamano_valor = $f->nu_tamano_valor;        $cd_color_valor = $f->cd_color_valor;
        
        $margenx = $f->margenx; $margeny = $f->margeny;        
        $coordx_valor = $f->coordx_valor; $cxv=$coordx_valor+$margenx-1;        $coordy_valor = $f->coordy_valor; $cyv=$coordy_valor+$margeny-1;
        
        $ds_valordefault = $f->ds_valordefault;
        
        $cd_color_e = explode(" ", $cd_color_etiq);
        
        if($id_atributo=='74'){
            if($_POST["acre"] == "emaslp" || $_POST["acre"] == "a2laslp" ){
                $pdf->SetFont('tahoma','',$nu_tamano_valor+.2);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                    $pdf->SetXY($cxv+1, $cyv-1.5);   $pdf->MultiCell(140,2.2, utf8_decode('Mess Servicios Metrológicos S. de R.L. de C.V. Av. Juárez, No. 7751, Nave C, Col. Micro Parque Industrial M57, C.P. 78395, San Luis Potosí, San Luis Potosí.'),0,'C',0);//$ds_valordefault    
            }else{
                $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                $pdf->SetXY($cxv+8, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
            }
        }
        else{
            $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
            $pdf->SetXY($cxv, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
        }
    }
$pdf->SetDrawColor(0,0,76);
//RESULTADO DE MEDICION
$pdf->SetFont('tahoma','B',9);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(75,40);    $pdf->Cell(60,4, utf8_decode('Resultado de medición'),0,0,'C');
$pdf->SetFont('tahoma','I',9);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(75,44);    $pdf->Cell(60,4, utf8_decode('(Result of measurement)'),0,0,'C');

$pdf->SetTextColor(255,255,255);
$pdf->SetFillColor(0,0,76);
$pdf->SetXY(53,56);    $pdf->SetFont('tahoma','B',6);    $pdf->Cell(52,4, utf8_decode('Incertidumbre de medida'),1,0,'C', true);
$pdf->SetXY(53,59);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(52,3, utf8_decode('(Measurement unertainty)'),1,0,'C', true);
$pdf->SetTextColor(0,0,0);
    $pdf->SetXY(105,56);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(60,6, utf8_decode($_POST["p19"]),1,0,'C');


//CONDICIONES DE MEDICION
$pdf->SetFont('tahoma','B',9);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(75,87);    $pdf->Cell(60,4, utf8_decode('Condiciones de medición'),0,0,'C');
$pdf->SetFont('tahoma','I',9);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(75,90);    $pdf->Cell(60,4, utf8_decode('(Enviromental conditions)'),0,0,'C');

$pdf->SetTextColor(255,255,255);
$pdf->SetFillColor(0,0,76);
$pdf->SetXY(90,97);    $pdf->SetFont('tahoma','B',6);    $pdf->Cell(16,4, utf8_decode('Material:'),1,0,'C', true);
$pdf->SetXY(90,100);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(16,3, utf8_decode('(Material)'),1,0,'C', true);

$pdf->SetTextColor(0,0,0);  $pdf->SetXY(106.3,97);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(16,6, utf8_decode($_POST["p22"]),1,0,'C');

$pdf->SetTextColor(255,255,255);    
$pdf->SetXY(90,112);    $pdf->SetFont('tahoma','B',6);    $pdf->Cell(16,4, utf8_decode('Unidad:'),1,0,'C', true);
$pdf->SetXY(90,115);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(16,3, utf8_decode('(Unit)'),1,0,'C', true);

$pdf->SetTextColor(0,0,0);  $pdf->SetXY(106.3,112);    $pdf->SetFont('tahoma','I',6);    $pdf->Cell(16,6, utf8_decode($_POST["p23"]),1,0,'C');    


//CONDICIONES DE INSTRUMENTO
$pdf->SetFont('tahoma','B',6);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(8,148);    $pdf->Cell(50,4, utf8_decode('Condiciones de intrumento:'),0,0);
$pdf->SetFont('tahoma','I',6);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(8,151);    $pdf->Cell(50,4, utf8_decode('(Instrument conditions)'),0,0);

$pdf->SetLineWidth(0.2);    $pdf->SetFillColor(255,255,255);    $pdf->SetDrawColor(151, 158, 105);
$pdf->RoundedRect(8, 156, 192, 18, 1, '', 'DF'); 


//REQUERIMIENTOS DEL CLIENTE
$pdf->SetFont('tahoma','B',6);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(8,178);    $pdf->Cell(50,4, utf8_decode('Requerimientos del cliente:'),0,0);
$pdf->SetFont('tahoma','I',6);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(8,181);    $pdf->Cell(50,4, utf8_decode('(Customer requeriments)'),0,0);

$pdf->SetLineWidth(0.2);    $pdf->SetFillColor(255,255,255);    $pdf->SetDrawColor(151, 158, 105);
$pdf->RoundedRect(8, 186, 192, 18, 1, '', 'DF');

$condiciones=str_replace("mediciónn","medición",$_POST["p24"]);
$pdf->SetXY(10,156);    $pdf->MultiCell(180,4, utf8_decode($condiciones),0,1);

if($_POST["txtRcliente"]==''){
    $pdf->SetLineWidth(0.4);    $pdf->SetDrawColor(0,0,0);    $pdf->Line(10,202,198,190);    
}else{
    $pdf->SetXY(10,186);    $pdf->MultiCell(180,4, utf8_decode($_POST["p25"]),0,1);   
}

$imgQR= "../../consulta/temp/".$nombreQR.".png";
$pdf->Image($imgQR,185,250,27);
$pdf->SetFont('tahoma','',7);  $pdf->SetTextColor(63,110,194); 
$pdf->SetDrawColor(0,0,0);  $pdf->Rect(162, 241, 45, 11, 0); 

$pdf->SetXY(175,243);   $pdf->Cell(100,3.5, utf8_decode("       INFORME DE MEDICIÓN"),0,'R',1,1);
$pdf->SetXY(186,246);   $pdf->Cell(30,3.5, utf8_encode("DIGITAL ORIGINAL"),0,'R',1,1);
$pdf->SetXY(169,249);   $pdf->Cell(40,3.5, utf8_decode("MESS SERVICIOS METROLÓGICOS"),0,'R',1,1);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);

$pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(30, 246);   
$pdf->MultiCell(150,3, utf8_decode('Para cualquier duda, comentario, sugerencia, felicitación o queja favor de llamar o comunicarse a:'),0,'C',1,0);

$pdf->SetDrawColor(63,110,194); $pdf->SetLineWidth(.5); $pdf->Line(10,253.2,182,253.2);

if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55.5, 257);   $pdf->MultiCell(150,3.5, utf8_decode('Laboratorio acreditado por a2La con número de acreditación 3047.01 vigente hasta 2025-03-31 en cumplimiento a la 
norma ISO/IEC 17025:(vigente) "Requisitos generales para la competencia de laboratorios de ensayo y de calibración.'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55, 264);   $pdf->MultiCell(150,3.5, utf8_decode('(Laboratory accredited by a2La with accreditation number 3047.01 in force until 2025-03-31 in compliance with 
ISO/IEC 17025:(valid). "General requirements for the competence of testing and calibration laboratories".)'),0,'L',0,0);
    
    $pdf->Image('A2LA.JPG', 10, 253.5,40);
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(29,269.5);   $pdf->Cell(25,2.5, utf8_encode("Certificate # 3047.01"),0,'L',0,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
    $pdf->MultiCell(174,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',1,0);
}

if($_POST["acre"]=="ema"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);
     //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.6, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97 a partir del 2010-08-18. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.2, utf8_decode('(Laboratory accredited by ema with accreditation number D-97 as of 2010-08-18. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  
    
    $pdf->SetFont('tahoma','B',11);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(43,271.3);   $pdf->Cell(65,3.5, utf8_encode("ACREDITACION D-97"),0,'C',1,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);   
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);    
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de calibración fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Calibration service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}

if($_POST["acre"]=="emaslp"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);

    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.5, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97-S1 a partir del 2021-09-29. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.1, utf8_decode('(Laboratory accredited by ema with accreditation number D-97-S1 as of 2021-09-29. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  

    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    //$pdf->SetXY(38,268);   $pdf->Cell(25,2.5, utf8_encode("ACREDITACION D-97"),0,'L',1,1);

    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);  
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de medición fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Measurement service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}

/* ***************      *************** */
/* ************ PAGINA TRES ************ */
/* ***************      *************** */
$pdf->AddPage();
$pdf->Image('../MESS_05_Imagotipo_1.jpg', 8, 5,48);
$pdf->SetFont('tahoma','B',12);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(64, 14.5);   $pdf->Cell(70,6, utf8_decode('INFORME DE MEDICIÓN'),0,0,'R',1);
$pdf->SetFont('tahoma','I',11);  $pdf->SetTextColor(0,0,0);
$pdf->SetXY(60, 19);   $pdf->Cell(70,6, utf8_decode('(MEASUREMENT REPORT)'),0,0,'R',1);

$pdf->SetFont('tahoma','',12);  $pdf->SetTextColor(0, 69, 128);
$pdf->SetXY(158, 16);   $pdf->MultiCell(100,3, utf8_decode($_POST["p1"] ),0,'L',0);

$pdf->SetFont('tahoma','B',7);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(158,19);    $pdf->Cell(105,4, utf8_decode('No. Informe'),0,0);
$pdf->SetFont('tahoma','i',7);
$pdf->SetXY(175,19);    $pdf->Cell(105,4, utf8_decode('(Report No.):'),0,0);

$pdf->SetFont('tahoma','B',7);    $pdf->SetTextColor(0,0,0);
$pdf->SetXY(176.4,24.6);    $pdf->Cell(105,4, utf8_decode('Página 3 de'),0,0);
$pdf->SetFont('tahoma','i',7);
$pdf->SetXY(176.4,27);    $pdf->Cell(105,4, utf8_decode('(Page)'),0,0);
$pdf->SetFont('tahoma','',7);
$pdf->SetXY(191.5,24.6);    $pdf->Cell(105,4, utf8_decode($_POST["p2"]),0,0);

$pdf->Image('../pag3-1.PNG',10,34,190);
$pdf->Image('../pag3-2.PNG',10,150,190);

$pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(30, 246);   
$pdf->MultiCell(150,3, utf8_decode('Para cualquier duda, comentario, sugerencia, felicitación o queja favor de llamar o comunicarse a:'),0,'C',1,0);
$res = $mysqli->query("SELECT * FROM T_ATRIFORMATOS WHERE id_atributo in (74,75,76,77,78) AND cd_formato=3");
    $i=0;
    while($f = $res->fetch_object()){
        $id_atributo = $f->id_atributo;          $cd_fuente_etiq = $f->cd_fuente_etiq;
        $nu_tamano_etiq = $f->nu_tamano_etiq;    $cd_color_etiq = $f->cd_color_etiq;
        
        $cd_fuente_valor = $f->cd_fuente_valor;        $nu_tamano_valor = $f->nu_tamano_valor;        $cd_color_valor = $f->cd_color_valor;
        
        $margenx = $f->margenx; $margeny = $f->margeny;        
        $coordx_valor = $f->coordx_valor; $cxv=$coordx_valor+$margenx-1;        $coordy_valor = $f->coordy_valor; $cyv=$coordy_valor+$margeny-1;
        
        $ds_valordefault = $f->ds_valordefault;
        
        $cd_color_e = explode(" ", $cd_color_etiq);
        
        if($id_atributo=='74'){
            if($_POST["acre"] == "emaslp" || $_POST["acre"] == "a2laslp" ){
                $pdf->SetFont('tahoma','',$nu_tamano_valor+.2);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                    $pdf->SetXY($cxv+1, $cyv-1.5);   $pdf->MultiCell(140,2.2, utf8_decode('Mess Servicios Metrológicos S. de R.L. de C.V. Av. Juárez, No. 7751, Nave C, Col. Micro Parque Industrial M57, C.P. 78395, San Luis Potosí, San Luis Potosí.'),0,'C',0);//$ds_valordefault    
            }else{
                $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                $pdf->SetXY($cxv+8, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
            }
        }
        else{
            $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
            $pdf->SetXY($cxv, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
        }
    }

$imgQR= "../../consulta/temp/".$nombreQR.".png";
$pdf->Image($imgQR,185,250,27);
$pdf->SetFont('tahoma','',7);  $pdf->SetTextColor(63,110,194); 
//$pdf->SetDrawColor(0,0,0);  $pdf->Rect(162, 241, 45, 11, 0); 

$pdf->SetXY(175,243);   $pdf->Cell(100,3.5, utf8_decode("       INFORME DE MEDICIÓN"),0,'R',1,1);
$pdf->SetXY(186,246);   $pdf->Cell(30,3.5, utf8_encode("DIGITAL ORIGINAL"),0,'R',1,1);
$pdf->SetXY(169,249);   $pdf->Cell(40,3.5, utf8_decode("MESS SERVICIOS METROLÓGICOS"),0,'R',1,1);

$pdf->SetDrawColor(63,110,194);     $pdf->SetLineWidth(.5);     $pdf->Line(10,253.2,182,253.2);

if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55.5, 257);   $pdf->MultiCell(150,3.5, utf8_decode('Laboratorio acreditado por a2La con número de acreditación 3047.01 vigente hasta 2025-03-31 en cumplimiento a la 
norma ISO/IEC 17025:(vigente) "Requisitos generales para la competencia de laboratorios de ensayo y de calibración.'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(55, 264);   $pdf->MultiCell(150,3.5, utf8_decode('(Laboratory accredited by a2La with accreditation number 3047.01 in force until 2025-03-31 in compliance with 
ISO/IEC 17025:(valid). "General requirements for the competence of testing and calibration laboratories".)'),0,'L',0,0);
    
    $pdf->Image('A2LA.JPG', 10, 253.5,40);
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(29,269.5);   $pdf->Cell(25,2.5, utf8_encode("Certificate # 3047.01"),0,'L',0,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
    $pdf->MultiCell(174,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',1,0);
}

if($_POST["acre"]=="ema"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);
     //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.6, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97 a partir del 2010-08-18. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.2, utf8_decode('(Laboratory accredited by ema with accreditation number D-97 as of 2010-08-18. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  
    
    $pdf->SetFont('tahoma','B',11);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(43,271.3);   $pdf->Cell(65,3.5, utf8_encode("ACREDITACION D-97"),0,'C',1,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);   
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);    
}


if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de calibración fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Calibration service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}

if($_POST["acre"]=="emaslp"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);

    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.5, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97-S1 a partir del 2021-09-29. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.1, utf8_decode('(Laboratory accredited by ema with accreditation number D-97-S1 as of 2021-09-29. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  

    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    //$pdf->SetXY(38,268);   $pdf->Cell(25,2.5, utf8_encode("ACREDITACION D-97"),0,'L',1,1);

    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);  
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 258);   
   $pdf->MultiCell(120,2.6, utf8_decode('Servicio de medición fuera del ancance acreditado.'),0,'L',0,0);
   $pdf->SetFont('tahoma','I',6.2);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(80, 263);   
   $pdf->MultiCell(120,2.2, utf8_decode('(Measurement service out of accredited reach).'),0,'L',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(10, 272);   
   $pdf->MultiCell(172,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',1,0);    
}

//$pdf->Image('ppcmm2.png',10,230,190);
$pdf->Output('informeD.pdf', 'i');
$pdf->Output('../PDF/CDM.pdf', 'F');//nombre del archivo que se descarga!
$nombreC='C'.str_replace("/","-",$_POST["p1"]);
$pdf->Output('../PDF/'.$nombreC.'.pdf', 'F');//nombre del archivo que se descarga!
?>