<?php
header('Access-Control-Allow-Origin: *');
$mysqli = new mysqli('localhost', 'mess2_messDoctos', 'Pipmytrade123', 'mess2_documentos_mess');
$mysqli->set_charset("utf8");

require('../fpdf.php');
$pdf = new FPDF('P','mm',array(216,279.4));
//$pdf = new FPDF('P','mm','a4');

$pdf->SetMargins(0, 0, 0, 0);
$pdf->SetAutoPageBreak(true,0); 
$pdf->AddPage();

//$pdf->Image('../LIMPIO.jpg', 10, 10,196);
$pdf->Image('../mess marca de agua_preview_rev_1.png', 26, 101,162.5);

$pdf->SetDrawColor(63,110,194); $pdf->SetLineWidth(.4);
$pdf->RoundedRect(10, 26.8, 196, 11.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 42.7, 196, 17, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 63.5, 196, 26.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 93.5, 145.8, 31, 1.5, '1234', 'D');
$pdf->RoundedRect(157, 96, 49.2, 28.5, 1.5, '1234', 'D');
$pdf->RoundedRect(10, 128.5, 196, 61.5, 1.5, '1234', 'D');
$pdf->SetLineWidth(.4);     $pdf->Line(10.1,136,205.8,136);
$pdf->RoundedRect(10, 193.5, 160, 13.5, 1, '1234', 'D');
$pdf->RoundedRect(173, 196.8, 32, 10.2, 1, '1234', 'D');
$pdf->Image('../MESS_05_Imagotipo_1.jpg', 8, 5,48);

$certVersion=substr($_POST["p1"],16,2);
if($certVersion=='_A' || $certVersion=='_B' || $certVersion=='_C' || $certVersion=='_D'){
    if($certVersion=='_A'){
        $pdf->SetFont('tahoma','',4.2);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.4);   $pdf->MultiCell(80,2, utf8_decode('Este certificado reemplaza al certificado de calibración No. '.str_replace('_A','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',3.7);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This certificate replaces the certificate No. '.str_replace('_A','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_B'){
        $pdf->SetFont('tahoma','',4.2);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este certificado reemplaza al certificado de calibración No. '.str_replace('_B','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',3.7);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This certificate replaces the certificate No. '.str_replace('_B','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_C'){
        $pdf->SetFont('tahoma','',4.2);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este certificado reemplaza al certificado de calibración No. '.str_replace('_C','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',3.7);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This certificate replaces the certificate No. '.str_replace('_C','',$_POST["p1"]).')'),0,'R',0);
    }
    if($certVersion=='_D'){
        $pdf->SetFont('tahoma','',4.2);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
        $pdf->SetXY(124, 18.2);   $pdf->MultiCell(80,2, utf8_decode('Este certificado reemplaza al certificado de calibración No. '.str_replace('_D','',$_POST["p1"])),0,'R',0);
        $pdf->SetFont('tahoma','I',3.7);  $pdf->SetTextColor(0,0,0);
        $pdf->SetXY(124, 19.8);   $pdf->MultiCell(80,1.8, utf8_decode('(This certificate replaces the certificate No. '.str_replace('_D','',$_POST["p1"]).')'),0,'R',0);
    }
}

$pdf->SetFont('tahoma','B',12);     $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(0, 13.5);   $pdf->Cell(215.9, 7, utf8_decode('CERTIFICADO DE CALIBRACIÓN'),0,0,'C',0);
$pdf->SetFont('tahoma','I',11);  $pdf->SetTextColor(0,0,0);
$pdf->SetXY(0, 18.5);   $pdf->Cell(215.9, 6, utf8_decode('(CALIBRATION CERTIFICATE)'),0,0,'C',0);

$res = $mysqli->query("SELECT * FROM T_ATRIFORMATOS where cd_formato=70 AND nu_hojaformato=1");
    $i=0;
    while($f = $res->fetch_object()){
      /*
    `cd_formato`, `nu_hojaformato`, `id_atributo`, `sw_manual`, `sw_validacion`, `tp_dato`, `sw_obligatorio`, `cd_listavalores`, 
    `coordx_etiqesp`, `coordy_etiqesp`, `coordx_etiqing`, `coordy_etiqing`, `coordx_valor`, `coordy_valor`, 
    `cd_fuente_etiq`, `nu_tamano_etiq`, `cd_color_etiq`, `cd_fuente_valor`, `nu_tamano_valor`, `cd_color_valor`, `ds_etiqueta`, `ds_etiqueta_ing`, `ds_valordefault`, `margenx`, `margeny`          
    */  $id_atributo = $f->id_atributo;
        $cd_fuente_etiq = $f->cd_fuente_etiq;
        $nu_tamano_etiq = $f->nu_tamano_etiq;
        $cd_color_etiq = $f->cd_color_etiq;
        
        $cd_fuente_valor = $f->cd_fuente_valor;
        $nu_tamano_valor = $f->nu_tamano_valor;
        $cd_color_valor = $f->cd_color_valor;
        
        $margenx = $f->margenx; $margeny = $f->margeny;
        
        $coordx_etiqesp = $f->coordx_etiqesp; $cxe=$coordx_etiqesp+$margenx;
        $coordy_etiqesp = $f->coordy_etiqesp; $cye=$coordy_etiqesp+$margeny;

        $coordx_etiqing = $f->coordx_etiqing; $cxi=$coordx_etiqing+$margenx;
        $coordy_etiqing = $f->coordy_etiqing; $cyi=$coordy_etiqing+$margeny;
        
        $coordx_valor = $f->coordx_valor; $cxv=$coordx_valor+$margenx;
        $coordy_valor = $f->coordy_valor; $cyv=$coordy_valor+$margeny;
        
        $ds_etiqueta = $f->ds_etiqueta; 
        $ds_etiqueta_ing = $f->ds_etiqueta_ing;
        $ds_valordefault = $f->ds_valordefault;
        
        $cd_color_e = explode(" ", $cd_color_etiq);
        //Espa単ol
        $pdf->SetFont('tahoma','B',$nu_tamano_etiq);  $pdf->SetTextColor($cd_color_e[0],$cd_color_e[1],$cd_color_e[2]);
        $pdf->SetXY($cxe, $cye);   $pdf->Cell(60,1, utf8_decode($ds_etiqueta),0,0,'L');
        //Ingles
        $pdf->SetFont('tahoma','I',$nu_tamano_etiq-.5);  $pdf->SetTextColor($cd_color_e[0],$cd_color_e[1],$cd_color_e[2]);
        $pdf->SetXY($cxi, $cyi);   $pdf->Cell(60,1, utf8_decode($ds_etiqueta_ing),0,0,'L');
        
        $i++;
        ${"foto" . $i}=$i+1;
        //Valor
        if($ds_valordefault==''){
            $cd_color_v = explode(" ", $cd_color_valor);
            
            if($id_atributo=="34" || $id_atributo=="40"|| $id_atributo=="46" || $id_atributo=="52" || $id_atributo=="58" || $id_atributo=="64"){
                $pdf->SetFont('tahoma','',7.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                            $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(40,3, utf8_decode($_POST["p" . $id_atributo]),0,'L',0);//$ds_valordefault
            }else{
                if( $id_atributo=="38" || $id_atributo=="44"|| $id_atributo=="50" || $id_atributo=="56" || $id_atributo=="62" || $id_atributo=="68"  ){
                    $id_atr=$id_atributo-1;
                    if($_POST["p" . $id_atr]=="MESS-COE-03"){
                        $pdf->SetFont('tahoma','',6.8);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(41,2.2, utf8_decode($_POST["p" . $id_atributo]),0,'L',0,1);
                    }else{
                        $pdf->SetFont('tahoma','',6.8);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(54,2.2, utf8_decode($_POST["p" . $id_atributo]),0,'L',0,1);
                    }
                    
                }else{
                    if( $id_atributo=="35" || $id_atributo=="41"|| $id_atributo=="47" || $id_atributo=="53" || $id_atributo=="59" || $id_atributo=="65"  ){
                    $pdf->SetFont('tahoma','',6.8);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(42,2.5,utf8_decode($_POST["p" . $id_atributo]),0,'L',0,1);
                    }else{
                        if($id_atributo=="6" && $_POST["p" . $id_atributo]==""){
                            $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                            $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(100,3, utf8_decode("--------"),0,'L',0);//$_POST["p" . $i]
                        }
                        else{
                            if( $id_atributo=="30" || $id_atributo=="31"|| $id_atributo=="32"){
                                if($id_atributo=="32"){
                                    $pdf->SetFont('tahoma','',6.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                    $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(48.5,2, utf8_decode($_POST["p" . $id_atributo].' % '),0,'L',0,1);
                                }else{
                                    $pdf->SetFont('tahoma','',6.5);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                    $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(48.5,2, utf8_decode($_POST["p" . $id_atributo].' °C'),0,'L',0,1);
                                }
                            }else{
                                if($id_atributo=="2"){
                                    $pdf->SetFont('tahoma','B',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                    $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(100,3, utf8_decode($_POST["p" . $id_atributo] ),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                                }else{
                                    if($id_atributo=="11"){
                                        if(strlen($_POST["p" . $id_atributo])>40){
                                            $pdf->SetFont('tahoma','',$nu_tamano_valor-2);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                            $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(56,3, utf8_decode($_POST["p" . $id_atributo]),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                                        }
                                        else{
                                            $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                            $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(56,3, utf8_decode($_POST["p" . $id_atributo] ),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                                        }
                                    }else{
                                        
                                        $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                                        $pdf->SetXY($cxv, $cyv);   $pdf->MultiCell(100,3, utf8_decode($_POST["p" . $id_atributo] ),0,'L',0);//$_POST["p" . $i]   ---  $id_atributo
                                    }//$_POST["p" . $i]   ---  $id_atributo
                                }
                            }
                        }
                    }
                }
            }
        }else{
                if(($_POST["acre"] == "emaslp" || $_POST["acre"] == "a2laslp" ) && $id_atributo == "74"){
                    $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                    if($_POST["acre"] == "a2laslp" ){
                        $pdf->SetXY($cxv+3, $cyv-1);   $pdf->MultiCell(140,2.2, utf8_decode('MESS S.C. Suc. Av. Juárez, No. 7751, Nave C, Col. Micro Parque Industrial M57, C.P. 78395, San Luis Potosí, San Luis Potosí.'),0,'C',0);//$ds_valordefault    
                    }else{
                        $pdf->SetXY($cxv+5, $cyv-1.5);   $pdf->MultiCell(132,2.2, utf8_decode('Mess Servicios Metrológicos S. de R. L. de C. V. Suc. Av. Juárez, No. 7751, Nave C, Col. Micro Parque Industrial M57, C.P. 78395, San Luis Potosí, San Luis Potosí.'),0,'C',0);//$ds_valordefault       
                    }
                }else{
                        $pdf->SetFont('tahoma','',$nu_tamano_valor);  $pdf->SetTextColor($cd_color_v[0],$cd_color_v[1],$cd_color_v[2]);
                        if($_POST["acre"] == "a2la" && $id_atributo == "74"){
                            $pdf->SetXY($cxv+5, $cyv-1.5);   $pdf->MultiCell(132,2.2, utf8_decode('MESS S.C. Acceso III, No. 16A, Nave 10, Parque Industrial Benito Juárez, Querétaro, Qro.'),0,'C',0);//$ds_valordefault       
                        }
                        else{
                            $pdf->SetXY($cxv, $cyv);   $pdf->Cell(60,1, utf8_decode($ds_valordefault),0,0,'L');//$ds_valordefault
                        }
                    
                }
            
        }

        
    }
    
    
if($_POST["p79"]!="0"){
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(98,70);   $pdf->Cell(25,2.5, utf8_encode($_POST["p79"]),0,'L',1,1);
}else{
    $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(98,70.2);   $pdf->Cell(43,19, '',0,'L',1,1);
}


$urlFirma="https://scot.mess.com.mx/uploads/SIGNATURE/";
if($_POST["firmarealizo"]!=""){
    $urlFRealizo=$urlFirma.$_POST["firmarealizo"];
    
    if($_POST["p70"]=="Carlos Colín Hernandez" ||$_POST["p70"]=="Carlos Colín Hernández"){
        $pdf->Image($urlFRealizo,65,194.5,6);
    }else{
        $pdf->Image($urlFRealizo,65,194.5,14);
    }
}
if($_POST["firmaaprobo"]!=""){
    //$urlFAprobo='https://scot.mess.com.mx/uploads/SIGNATURE/ff5784bc89c48e9a324cf0343c0e8808.png';
    $urlFAprobo=$urlFirma.$_POST["firmaaprobo"];
    $pdf->Image($urlFAprobo,134,194.5,14);
}


$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(11.8,202);   $pdf->Cell(28,2.6, utf8_encode("Ingeniero de servicio"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(8,204);   $pdf->Cell(28,2.6, utf8_encode("(Service Engineer)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(76.5,202);   $pdf->Cell(28,2.6, utf8_encode("Signatario"),0,'L',0,0);

$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
$pdf->SetXY(77,204);   $pdf->Cell(28,2.6, utf8_encode("(Signatory)"),0,'L',0,0);
 
            


//Datos de referencia 
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(9,24);   $pdf->Cell(28,2, utf8_encode("Datos de referencia"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(35,24);   $pdf->Cell(28,2, utf8_encode("(Reference data):"),0,'L',0,0);
 
//CLIENTE
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(5,40);   $pdf->Cell(28,2, utf8_encode("Datos del cliente"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(28,40);   $pdf->Cell(28,2, utf8_encode("(Customer data):"),0,'L',0,0);

//ITEM   
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(2,61);   $pdf->Cell(28,2, utf8_decode("Datos del ítem"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(31,61);   $pdf->Cell(28,2, utf8_encode("(Item description):"),0,'L',0,0);  

//METODO  
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(11,91);   $pdf->Cell(10,2, utf8_decode("Método"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(26,91);   $pdf->Cell(10,2, utf8_encode("(Method):"),0,'L',0,0);

//TRAZABILIDAD
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(32,125.4);   $pdf->Cell(10,2, utf8_decode("Trazabilidad metrológica"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(66,125.4);   $pdf->Cell(15,2, utf8_encode("(Metrological traceability):"),0,'L',0,0);

//AMBIENTALES
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(188,90.5);   $pdf->Cell(10,2, utf8_decode("Condiciones ambientales:"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(185,93.5);   $pdf->Cell(15,2, utf8_encode("(Environmental conditions)"),0,'L',0,0);

//DESCRIPCION PATRON
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(19,130);   $pdf->Cell(10,2, utf8_decode("Descripción"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(19,133);   $pdf->Cell(10,2, utf8_encode("(Description)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(50,130);   $pdf->Cell(10,2, utf8_decode("Serie"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(53,133);   $pdf->Cell(10,2, utf8_encode("(Serial)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(80,130);   $pdf->Cell(60,2, utf8_decode("Certificado/Vigencia/Calibrado por"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(81,133);   $pdf->Cell(60,2, utf8_encode("(Certificate/Validity/calibrated by)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(162,130);   $pdf->Cell(10,2, utf8_decode("Identificación"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(150,133);   $pdf->Cell(10,2, utf8_encode("(ID)"),0,'L',0,0);

$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(188,130);   $pdf->Cell(10,2, utf8_decode("INM"),0,'L',0,0);
$pdf->SetFont('tahoma','I',6.5);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(189,133);   $pdf->Cell(10,2, utf8_encode("(NMI)"),0,'L',0,0);

//FIRMAS
$pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(14,191);   $pdf->Cell(6,2, utf8_decode("Firmas"),0,'L',0,0);
$pdf->SetFont('tahoma','I',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);$pdf->SetXY(33,191);   $pdf->Cell(6,2, utf8_encode("(Signatures):"),0,'L',0,0);

if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //DETALLE DEL CERTIFICADO
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 208);   
    $pdf->MultiCell(216,2.6, utf8_decode('El presente certificado ha sido emitido por MESS S.C. laboratorio acreditado por a2La que es signataria del Arreglo de Reconocimiento Mutuo (MRA) de la Cooperación 
Internacional de Acreditación de Laboratorios (ILAC) y de la Cooperación de Asia Pacífico para la Acreditación de Laboratorios, APLAC. El (los) resultado (s) de la calibración 
declarado (s) en este certificado puede (n) ser aceptado (s) internacionalmente a través del MRA ILAC/APLAC.'),0,'C',0,0);
    
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 216);   
    $pdf->MultiCell(216,2.2, utf8_decode('(This calibration certificate has been issued by MESS S.C. laboratory accredited by a2La that is a signatory of the Mutual Recognition Agreement (MRA) of the 
International Laboratory Accreditation Cooperation (ILAC) and of the Asia Pacific Cooperation for the accreditation of Laboratories (APLAC). 
The result (s) of the calibration declared in this certificate can be accepted internationally through the MRA ILAC / APLAC)."'),0,'C',0,0);
}
if($_POST["acre"]=="ema" || $_POST["acre"]=="emaslp"){
     //DETALLE DEL CERTIFICADO
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 208);   
    $pdf->MultiCell(216,2.6, utf8_decode('El presente certificado ha sido emitido por Mess Servicios Metrológicos S. de R.L. de C.V. laboratorio acreditado por ema que es signataria del Arreglo de Reconocimiento Mutuo (MRA)
de la Cooperación Internacional de Acreditación de Laboratorios (ILAC) y de la cooperación de Asia Pacífico para la Acreditación de Laboratorios, APLAC. El (los) resultado (s) de la
calibración declarado (s) en este certificado puede (n) ser aceptado (s) internacionalmente a través del MRA ILAC/APLAC.'),0,'C',0,0);
    
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 216);   
    $pdf->MultiCell(216,2.2, utf8_decode('(This calibration certificate has been issued by Mess Servicios Metrologicos S. de R.L. de C.V. laboratory accredited by ema that is a signatory of the Mutual Recognition 
Agreement (MRA) of the International Laboratory Accreditation Cooperation (ILAC) and of the Asia Pacific cooperation for the accreditation of Laboratories (APLAC). 
The result (s) of the calibration declared in this certificate can be accepted internationally through the MRA ILAC / APLAC).'),0,'C',0,0);
}

if($_POST["acre"]=="trazable"){
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 212);  $pdf->MultiCell(216,3, utf8_decode('Los resultados de este certificado tienen validez, dentro de las condiciones ambientales encontradas durante el proceso de calibración y únicamente en su forma íntegra y original. Está
    prohibida la reproducción parcial o total de este documento a personal no autorizado por Mess.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 218);  $pdf->MultiCell(216,3, utf8_decode('(The results of this certificate are valid, within the conditions found in the calibration process and in its complete and original form). 
    (The partial or total reproduction of this document is prohibited, without the approval of Mess).'),0,'C',0,0);

    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 226);   
    $pdf->MultiCell(216,3, utf8_decode('Los resultados y niveles de incertidumbres declaradas en este informe corresponden exclusivamente al instrumento descrito.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 230);   
    $pdf->MultiCell(216,3, utf8_decode('(The results and the level of uncertainties declared in this report correspond exclusively to the instrument described at the moment of calibration.)'),0,'C',0,0);
}
else{
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 225);  $pdf->MultiCell(216,2.5, utf8_decode('Los resultados de este certificado tienen validez, dentro de las condiciones ambientales encontradas durante el proceso de calibración y únicamente en su forma íntegra y original. Está
    prohibida la reproducción parcial o total de este documento a personal no autorizado por Mess.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(0, 230);  $pdf->MultiCell(216,2.2, utf8_decode('(The results of this certificate are valid, within the conditions found in the calibration process and in its complete and original form). 
    (The partial or total reproduction of this document is prohibited, without the approval of Mess).'),0,'C',0,0);

    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 236);   
    $pdf->MultiCell(216,2.5, utf8_decode('Los resultados y niveles de incertidumbres declaradas en este certificado corresponden exclusivamente al instrumento descrito.'),0,'C',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 238.5);   
    $pdf->MultiCell(216,2.5, utf8_decode('(The results and the level of uncertainties declared in this certificate correspond exclusively to the instrument described at the moment of calibration.)'),0,'C',0,0);
}

$nombreQR=str_replace("/","-",$_POST["p1"]);
$imgQR= "../../consulta/temp/".$nombreQR.".png";
$pdf->Image($imgQR,185,250,27);

$pdf->SetFont('tahoma','',7);  $pdf->SetTextColor(63,110,194); 
$pdf->SetDrawColor(0,0,0);  
$pdf->SetXY(172,243);   $pdf->Cell(40,3.5, utf8_decode("CERTIFICADO DE CALIBRACIÓN"),0,'R',1,1);
$pdf->SetXY(186,246);   $pdf->Cell(30,3.5, utf8_encode("DIGITAL ORIGINAL"),0,'R',1,1);
if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    $pdf->SetXY(196.5,249);   $pdf->Cell(40,3.5, utf8_decode("MESS S.C."),0,'R',1,1);
}
else{
    $pdf->SetXY(169.2,249);   $pdf->Cell(40,3.5, utf8_decode("MESS SERVICIOS METROLÓGICOS"),0,'R',1,1);

}

$pdf->SetDrawColor(0,0,0);  $pdf->Rect(12, 246, 20, 5, 0);
$pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(36, 247);   
$pdf->MultiCell(130,3, utf8_decode('Para cualquier duda, comentario, sugerencia, felicitación o queja favor de llamar o comunicarse a:'), 0, 'C', 0, 0);


$pdf->SetDrawColor(63,110,194);     $pdf->SetLineWidth(.4);     $pdf->Line(10,253,182,253);

if($_POST["acre"] == "a2la" || $_POST["acre"] == "a2laslp"){
    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(56, 257);   $pdf->MultiCell(150,3.5, utf8_decode('Laboratorio acreditado por a2La con número de acreditación 3047.01 vigente hasta 2025-03-31 en cumplimiento a la 
norma ISO/IEC 17025:(vigente) "Requisitos generales para la competencia de laboratorios de ensayo y de calibración.'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(56, 264);   $pdf->MultiCell(150,3.5, utf8_decode('(Laboratory accredited by a2La with accreditation number 3047.01 in force until 2025-03-31 in compliance with 
ISO/IEC 17025:(valid). "General requirements for the competence of testing and calibration laboratories".)'),0,'L',0,0);
    
    $pdf->Image('A2LA.JPG', 10, 253.5,41);
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(29,270);   $pdf->Cell(25,2.5, utf8_encode("Certificate # 3047.01"),0,'L',0,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','B',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 273);   
    $pdf->MultiCell(216,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',0,0);
}

if($_POST["acre"]=="ema"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);
     //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.6, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97 a partir del 2010-08-18. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.2, utf8_decode('(Laboratory accredited by ema with accreditation number D-97 as of 2010-08-18. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  
    
    $pdf->SetFont('tahoma','B',11);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(43,271.3);   $pdf->Cell(65,3.5, utf8_encode("ACREDITACION D-97"),0,'C',1,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);   
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);    
}

if($_POST["acre"]=="trazable"){
    //NOTAS DE LA NORMA
   $pdf->SetFont('tahoma','',8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 257);   
   $pdf->MultiCell(218,2.6, utf8_decode('Servicio de calibración fuera del alcance acreditado.'),0,'C',0,0);
   $pdf->SetFont('tahoma','I',7.5);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 262);   
   $pdf->MultiCell(218,2.2, utf8_decode('(Calibration service out of accredited reach).'),0,'C',0,0);  
   //NOTA FINAL
   $pdf->SetFont('tahoma','B',8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 267);   
   $pdf->MultiCell(216,3.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en 
cumplimiento de los estándares"'),0,'C',0,0);    
}

if($_POST["acre"]=="a2laslp"){
    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6.7);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(56, 257);   $pdf->MultiCell(150,3.5, utf8_decode('Laboratorio acreditado por a2La con número de acreditación 3047.01 vigente hasta 2025-03-31 en cumplimiento a la 
norma ISO/IEC 17025:(vigente) "Requisitos generales para la competencia de laboratorios de ensayo y de calibración.'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',6);  $pdf->SetTextColor(0,0,0);
    $pdf->SetXY(56, 264);   $pdf->MultiCell(150,3.5, utf8_decode('(Laboratory accredited by a2La with accreditation number 3047.01 in force until 2025-03-31 in compliance with 
ISO/IEC 17025:(valid). "General requirements for the competence of testing and calibration laboratories".)'),0,'L',0,0);
    
    $pdf->Image('A2LA.JPG', 10, 253.5,41);
    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    $pdf->SetXY(29,270);   $pdf->Cell(25,2.5, utf8_encode("Certificate # 3047.01"),0,'L',0,1);
    
    //NOTA FINAL
    $pdf->SetFont('tahoma','B',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(0, 273);   
    $pdf->MultiCell(216,2.5, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'C',0,0);
}

if($_POST["acre"]=="emaslp"){
    
    $pdf->Image('D-97-S1.jpg', 34, 254.2,67);
    $pdf->Image('ilac-mra azul.jpg', 7, 250,27);

    //NOTAS DE LA NORMA
    $pdf->SetFont('tahoma','',6);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 253.5);   
    $pdf->MultiCell(150,2.5, utf8_decode('Laboratorio acreditado por ema con número de acreditación D-97-S1 a partir del 2021-09-29. 
En cumplimiento a la norma ISO/IEC 17025:(vigente) NMX-EC-17025-IMNC-vigente. 
"Requisitos generales para la competencia de laboratorios de ensayo y de calibración".'),0,'L',0,0);
    $pdf->SetFont('tahoma','I',5.4);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 262.5);   
    $pdf->MultiCell(150,2.1, utf8_decode('(Laboratory accredited by ema with accreditation number D-97-S1 as of 2021-09-29. 
In compliance with ISO/IEC 17025:(valid) NMX-EC-17025-IMNC-valid. 
"General requirements for the competence of testing and calibration laboratories").'),0,'L',0,0);  

    $pdf->SetFont('tahoma','B',7);  $pdf->SetTextColor(0,0,0); $pdf->SetFillColor(255,255,255);
    //$pdf->SetXY(38,268);   $pdf->Cell(25,2.5, utf8_encode("ACREDITACION D-97"),0,'L',1,1);

    //NOTA FINAL
    $pdf->SetFont('tahoma','',5.8);  $pdf->SetTextColor(0,0,0);$pdf->SetXY(99, 270);
    $pdf->MultiCell(85,2.2, utf8_decode('"La emisión de certificados de calibración/informes de medición o ensayo es de manera electrónica en cumplimiento de los estándares"'),0,'L',0,0);  
}

//$pdf->Output('informeC1.pdf', 'i');
//$pdf->Output('../PDF/pdf1.pdf', 'F');//nombre del archivo que se descarga!
$pdf->Output('../PDF/CCL.pdf', 'F');//nombre del archivo que se descarga!
$nombreC='C'.str_replace("/","-",$_POST["p1"]);
$pdf->Output('../PDF/'.$nombreC.'.pdf', 'F');//nombre del archivo que se descarga!
?>